Squirrel(3pm)

NAME
Squirrel - Use Mouse, unless Moose is already loaded. (DEPRECATED)

SYNOPSIS
    use Squirrel;

    has goggles => (
        is => "rw",
    );

DEPRECATION
"Squirrel" is deprecated. "Any::Moose" provides the same functionality, but better. :)

DESCRIPTION
Moose and Squirrel are THE BEST FRIENDS, but if Moose isn't there Squirrel will hang out with Mouse as well.

When your own code doesn't actually care whether or not you use Moose or Mouse you can use either, and let your users decide for you.

This lets you run with minimal dependencies and have a faster startup, but if Moose is already in use you get all the benefits of using that (transformability, introspection, more opportunities for code reuse, etc).

SEE ALSO
Any::Moose